<?php
	include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save( $_POST['descrizione'] );
				
				$query = "UPDATE agenda_tipi SET descrizione=\"$descrizione\"   WHERE idtipoagenda=\"".$id_record."\"";
				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni  salvate correttamente!" );
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idtipoagenda = save( $_POST['idtipoagenda'] );
				$descrizione = save( $_POST['descrizione'] );
				$query = "INSERT INTO agenda_tipi( idtipoagenda, descrizione ) VALUES ( \"".$idtipoagenda."\", \"$descrizione\" )";
				$dbo->query($query);
				$id_record = $dbo->last_inserted_id();
				array_push( $_SESSION['infos'], "Nuovo tipologia aggiunta!" );
			}
			break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query="DELETE FROM agenda_tipi WHERE id=\"".$id_record."\"";
				$dbo->query($query);
				array_push( $_SESSION['infos'], "Tipologia eliminato!" );
			}
			break;
	}
?>
